Package nl.tudelft.simulation.dsol.animation.gis.map

## Class StaticAttribute

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute
  - - nl.tudelft.simulation.dsol.animation.gis.map.StaticAttribute

All Implemented Interfaces:
  `Serializable`, `AttributeInterface`

    public class StaticAttribute
    extends AbstractAttribute

StaticAttribute is a layer attribute with a String value.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute

`layer`

### Constructor Summary

Constructors
`StaticAttribute​(LayerInterface layer, double angle, String value)` constructs a new StaticAttribute.

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAngle​(int shapeIndex)` returns the angle of the attribute.
`String` `getValue​(int shapeIndex)`

### Methods inherited from class nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute

`getFont, getFontColor, getLayer, getMaxScale, getMinScale, getPosition, setFont, setFontColor, setMaxScale, setMinScale, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticAttribute

    public StaticAttribute​(LayerInterface layer,
                           double angle,
                           String value)

constructs a new StaticAttribute.

Parameters:
  `layer` - LayerInterface; the layer
  `angle` - double; the angle
  `value` - String; the string value to store

### Method Detail

#### getAngle

    public double getAngle​(int shapeIndex)

returns the angle of the attribute.

Specified by:
  `getAngle` in interface `AttributeInterface`
Specified by:
  `getAngle` in class `AbstractAttribute`
Parameters:
  `shapeIndex` - int; the shapeIndex
Returns:
  the angle

#### getValue

    public String getValue​(int shapeIndex)

Specified by:
  `getValue` in interface `AttributeInterface`
Specified by:
  `getValue` in class `AbstractAttribute`
Parameters:
  `shapeIndex` - int; the shapeIndex
Returns:
  the value of the attribute